IBM Support

IBM Docs 2.0 CR3 iFix001: Incorrect message about Conversion server version when applying the iFix

Technote (troubleshooting)


Problem

If your Conversion server is on Linux for IBM Docs 2.0 CR3, when applying CR3 iFix 001, the following message is displayed:

INFO This iFix is not for your current DocsConversion version.


Cause

This message is a defect that occurs in cases where the CR3 Linux Conversion server was installed with the full package.

Resolving the problem

To resolve the problem, complete the following steps:

1. Log in to the server on which the Deployment Manager is running, and change the directory to DMGR_INSTALL_ROOT/config/cells/CELL_NAME/IBMDocs-config

2. In the file conversion-config.json, search for "build-info" and add this line:
"ifix_version": 25

It should look like this:
"build-info": {
"ifix_version": 25,
"build_version": "2.0.0.3",
"build_description": "IBM Connections Docs 2.0.0",
"product_name": "IBM Connections Docs",
"build_timestamp": "20171030-1520"
}

3. From the Deployment Manager web console, save and synchronize the changes by selecting System administration > Nodes > Select all the nodes > Full Resynchronize.
4. Go to the patch directory, and apply the iFix 001 patch again.

Document information

More support for: IBM Connections Docs
Deployment

Software version: 2.0

Operating system(s): Linux, Windows

Reference #: 2013291

Modified date: 05 February 2018


Translate this page: